### Function

# GimpUi widget_get_color_profile

#### Declaration [src]

    GimpColorProfile*
    gimp_widget_get_color_profile (
      GtkWidget* widget
    )

#### Description [src]

This function returns the `GimpColorProfile` of the monitor `widget` is currently displayed on, or `NULL` if there is no profile configured.

Available since: | 3.0

#### Parameters

`widget` | `GtkWidget`
| A `GtkWidget`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GimpColorProfile`
| `widget`‘s monitor’s `GimpColorProfile`, or `NULL`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.